Debian Bug report logs - #589835
python-h5py: Error importing h5py: ValueError: numpy.dtype does not appear to be the correct type object

version graph

Package: python-h5py; Maintainer for python-h5py is Soeren Sonnenburg <sonne@debian.org>; Source for python-h5py is src:h5py.

Reported by: David Liffmann <david.liffmann@googlemail.com>

Date: Wed, 21 Jul 2010 14:03:02 UTC

Severity: important

Found in version h5py/1.3.0-2

Fixed in version h5py/1.3.0-3

Done: Soeren Sonnenburg <sonne@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Soeren Sonnenburg <sonne@debian.org>:
Bug#589835; Package python-h5py. (Wed, 21 Jul 2010 14:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Liffmann <david.liffmann@googlemail.com>:
New Bug report received and forwarded. Copy sent to Soeren Sonnenburg <sonne@debian.org>. (Wed, 21 Jul 2010 14:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Liffmann <david.liffmann@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-h5py: Error importing h5py: ValueError: numpy.dtype does not appear to be the correct type object
Date: Wed, 21 Jul 2010 10:00:12 -0400
Package: python-h5py
Version: 1.3.0-2
Severity: important

After the update of python-numpy from 1.3.0 to 1.4.1 importing h5py fails.

The author of h5py recommended to recompile it:
On Tue, Jul 20, 2010 Andrew Collette (author of h5py) wrote:
> Unfortunately all you can do is recompile h5py yourself. The NumPy? group has changed the ABI enough in 1.4 that most precompiled Cython extensions are broken. You might also want to report this problem to the Debian maintainer.

import h5py
---------------------------------------------------------------------------
ValueError                                Traceback (most recent call last)

/home/liffi/<ipython console> in <module>()

/usr/lib/python2.6/dist-packages/h5py/__init__.py in <module>()
     22 
     23 try:
---> 24     import h5
     25 except ImportError, e:
     26     # Many people try to load h5py after compiling, which fails in the


/home/liffi/h5.pyx in init h5py.h5 (h5py/h5.c:4823)()

/home/liffi/h5.pyx in h5py.h5.init_hdf5 (h5py/h5.c:3481)()

/home/liffi/h5r.pxd in init h5py._conv (h5py/_conv.c:3877)()

/home/liffi/h5s.pxd in init h5py.h5r (h5py/h5r.c:2187)()

/home/liffi/numpy.pxd in init h5py.h5s (h5py/h5s.c:4051)()

ValueError: numpy.dtype does not appear to be the correct type object

-- System Information:
Debian Release: squeeze/sid
  APT prefers lenny
  APT policy: (500, 'lenny'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-h5py depends on:
ii  libc6                     2.11.2-2       Embedded GNU C Library: Shared lib
ii  libhdf5-serial-1.8.4 [lib 1.8.4-patch1-2 Hierarchical Data Format 5 (HDF5) 
pn  python                    <none>         (no description available)
ii  python-central            0.6.16         register and build utility for Pyt

python-h5py recommends no packages.

python-h5py suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Soeren Sonnenburg <sonne@debian.org>:
Bug#589835; Package python-h5py. (Wed, 21 Jul 2010 15:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Soeren Sonnenburg <sonne@debian.org>. (Wed, 21 Jul 2010 15:57:09 GMT) Full text and rfc822 format available.

Message #10 received at 589835@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: David Liffmann <david.liffmann@googlemail.com>, 589835@bugs.debian.org
Cc: python-numpy@packages.debian.org
Subject: Re: Bug#589835: python-h5py: Error importing h5py: ValueError: numpy.dtype does not appear to be the correct type object
Date: Wed, 21 Jul 2010 16:09:09 +0200
[Message part 1 (text/plain, inline)]
* David Liffmann <david.liffmann@googlemail.com>, 2010-07-21, 10:00:
>After the update of python-numpy from 1.3.0 to 1.4.1 importing h5py fails.
>
>The author of h5py recommended to recompile it:

No, mere recompilation is not a sufficient solution for Debian.

This is the same problem as described here:
http://lists.debian.org/debian-python/2010/07/msg00045.html

(Though I somehow missed python-h5py in my analysis.)

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Reply sent to Soeren Sonnenburg <sonne@debian.org>:
You have taken responsibility. (Sat, 31 Jul 2010 10:03:06 GMT) Full text and rfc822 format available.

Notification sent to David Liffmann <david.liffmann@googlemail.com>:
Bug acknowledged by developer. (Sat, 31 Jul 2010 10:03:06 GMT) Full text and rfc822 format available.

Message #15 received at 589835-close@bugs.debian.org (full text, mbox):

From: Soeren Sonnenburg <sonne@debian.org>
To: 589835-close@bugs.debian.org
Subject: Bug#589835: fixed in h5py 1.3.0-3
Date: Sat, 31 Jul 2010 10:02:22 +0000
Source: h5py
Source-Version: 1.3.0-3

We believe that the bug you reported is fixed in the latest version of
h5py, which is due to be installed in the Debian FTP archive:

h5py_1.3.0-3.debian.tar.gz
  to main/h/h5py/h5py_1.3.0-3.debian.tar.gz
h5py_1.3.0-3.dsc
  to main/h/h5py/h5py_1.3.0-3.dsc
python-h5py_1.3.0-3_amd64.deb
  to main/h/h5py/python-h5py_1.3.0-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589835@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Soeren Sonnenburg <sonne@debian.org> (supplier of updated h5py package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 30 Jul 2010 21:12:45 +0200
Source: h5py
Binary: python-h5py
Architecture: source amd64
Version: 1.3.0-3
Distribution: unstable
Urgency: low
Maintainer: Soeren Sonnenburg <sonne@debian.org>
Changed-By: Soeren Sonnenburg <sonne@debian.org>
Description: 
 python-h5py - h5py is a general-purpose Python interface to hdf5
Closes: 589835 590738
Changes: 
 h5py (1.3.0-3) unstable; urgency=low
 .
   * Convert package to pysupport and call dh_numpy upon install
     (Closes: #590738,#589835).
   * Bump standards version to 3.9.1.0 (no changes required).
Checksums-Sha1: 
 9d9e1f7c976095d80a468a7a21841d170c0161ea 1876 h5py_1.3.0-3.dsc
 04acf5c3997a889c7a70d49c9dac2bc18d3c30cc 3935 h5py_1.3.0-3.debian.tar.gz
 dbe05905f3bcf1c00ec2842a2f3c151df17d43bd 987842 python-h5py_1.3.0-3_amd64.deb
Checksums-Sha256: 
 992e4852d9481170985cf2aeaf5c46f24fbdb8ed11c8da19a8b83dced085a227 1876 h5py_1.3.0-3.dsc
 21799abac230b65699846ee42fc301940523b7e22193dc1ee513a35bf92c9add 3935 h5py_1.3.0-3.debian.tar.gz
 6d384fd18caeb0bf9bdfc38a043357dacc824c656edd58bbb53f8f63822727bd 987842 python-h5py_1.3.0-3_amd64.deb
Files: 
 101a26d2f0c3223e64d1a3159e3563ed 1876 python optional h5py_1.3.0-3.dsc
 0865ab3f0f6a81f3b9f70e1061bfd1b3 3935 python optional h5py_1.3.0-3.debian.tar.gz
 72fdb5b4fac5824f0f20a63cbd88a68c 987842 python optional python-h5py_1.3.0-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMU/CCAAoJEH82z1Wqh6p3p48P/1qGGktHDRftVwcfH3x2IyRn
GMYNC6TqgEjXFF9pxWgm/Cp0BXXADJ/bqqXUtcGOVWf3vuovQBI2NncC9/HZjdvm
kCqhUMhCWsNByr4/chtuKSkjeBDtbbEjEnG0o5GsSgWGJPy0gi3GVD7fc0bCgzJv
glgFbxaQy5Hl2neJ4BdFMNE0aygtQdv/RYRGN+8w4GNtsdbgm7J7HHyOU3SeuZgg
OHjQXrq66K+iM0iHbcLIEX/XrP4YL7XaUGGqOZQx1weMn26Td+sfOBBPVW/EvIr0
xi+ZDxCp2MpKE8+ZyeoAye6maybuVswqrGw7YAWu2mp05B8cpUv9iuEEveGWhQqV
ngUqGF3KRJbi+cXCQDUAbBef4iAymnJbgYjk9jRzI9T5wUeXxnEBJOuGv7yhiZMt
kmyRMdtXlcok7YsAcfEoZe9dqgaSmNnEOdk1dy+nuZJYIJ4jbUeqZYH79Bd9MNM4
yvMeIFg9zGV/ttch+R6M8b5cFYtUYU+kLr0TMHJrTCxI+rWSkk80ODI14uBavODR
1W7cuQZZxqqLicSuY3WVmfSIjzRieRvFZx8/T0t28Lgu5pQyQxjLwUqRIvnXWecu
5hv4aEMQWMy35viPL9+pF4aTPgcEzXcM07n+4F+08SqXYc5NBPZZJ/wYsCPtT3R1
FTw+89Vghbh+YwvDsF8b
=Iruf
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Oct 2010 07:32:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:17:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.